Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.ExplainResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExplainResponse`, `ClientWireProtocol.ExplainResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ExplainResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.PlanMessage` `getPlan()` `.xg.db.sqlPlans.PlanMessage plan = 2;`
`PlanProtocol.PlanMessageOrBuilder` `getPlanOrBuilder()` `.xg.db.sqlPlans.PlanMessage plan = 2;`
`boolean` `getRedirect()` Redirect = true, means we are telling client to send the command elsewhere
`String` `getRedirectHost()` `string redirectHost = 4;`
`com.google.protobuf.ByteString` `getRedirectHostBytes()` `string redirectHost = 4;`
`int` `getRedirectPort()` `fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` `hasPlan()` `.xg.db.sqlPlans.PlanMessage plan = 2;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasResponse

    boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

#### getResponse

    ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

#### getResponseOrBuilder

    ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### hasPlan

    boolean hasPlan()

`.xg.db.sqlPlans.PlanMessage plan = 2;`

Returns:
  Whether the plan field is set.

#### getPlan

    PlanProtocol.PlanMessage getPlan()

`.xg.db.sqlPlans.PlanMessage plan = 2;`

Returns:
  The plan.

#### getPlanOrBuilder

    PlanProtocol.PlanMessageOrBuilder getPlanOrBuilder()

`.xg.db.sqlPlans.PlanMessage plan = 2;`

#### getRedirect

    boolean getRedirect()

    Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  The redirect.

#### getRedirectHost

    String getRedirectHost()

`string redirectHost = 4;`

Returns:
  The redirectHost.

#### getRedirectHostBytes

    com.google.protobuf.ByteString getRedirectHostBytes()

`string redirectHost = 4;`

Returns:
  The bytes for redirectHost.

#### getRedirectPort

    int getRedirectPort()

`fixed32 redirectPort = 5;`

Returns:
  The redirectPort.